package org.apache.xerces.impl.xs.psvi;

public interface XSModel {
  StringList getNamespaces();
  
  XSNamedMap getComponents(short paramShort);
  
  XSNamespaceItemList getNamespaceItems();
  
  XSObjectList getAnnotations();
  
  XSNamedMap getComponentsByNamespace(short paramShort, String paramString);
  
  XSAttributeDeclaration getAttributeDeclaration(String paramString1, String paramString2);
  
  XSAttributeGroupDefinition getAttributeGroup(String paramString1, String paramString2);
  
  XSElementDeclaration getElementDeclaration(String paramString1, String paramString2);
  
  XSModelGroupDefinition getModelGroupDefinition(String paramString1, String paramString2);
  
  XSNotationDeclaration getNotationDeclaration(String paramString1, String paramString2);
  
  XSTypeDefinition getTypeDefinition(String paramString1, String paramString2);
}
